INTERFACE
SUBROUTINE CUMCPL(KLEVCO,KSTA,KEND,KSTGLO,KTS,&
 & PSTRTU,PSTRTV,PFRTH,PFRSO,PFCLL,PFCLN,PFCS,PFEVL,PFEVN,&
 & PFPLCL,PFPLCN,PFPLSL,PFPLSN,&
 & PRUISS,PRUISP,PTSUR,PDNSHF,PALB) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPROMM
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVCO
INTEGER(KIND=JPIM),INTENT(IN) :: KTS
INTEGER(KIND=JPIM),INTENT(IN) :: KSTA
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTU(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTRTV(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRTH(NPROMM,0:KLEVCO,KTS+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSO(NPROMM,0:KLEVCO,KTS+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCLL(NPROMM,KTS+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCLN(NPROMM,KTS+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PFCS(NPROMM,KTS+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEVL(NPROMM,KTS+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PFEVN(NPROMM,KTS+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCL(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLCN(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSL(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PFPLSN(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISS(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRUISP(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSUR(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PDNSHF(NPROMM)
REAL(KIND=JPRB) ,INTENT(IN) :: PALB(NPROMM)
END SUBROUTINE CUMCPL
END INTERFACE
